发货单分配库存
POST
/erp/sc/routing/storage/shipment/lockStock接口信息
| API Path | 请求协议 | 请求方式 | [令牌桶容量]() |
|---|---|---|---|
/erp/sc/routing/storage/shipment/lockStock | HTTPS | POST | 1 |
请求参数
shipment_nosarray<any>必填is_auto_batchinteger请求示例
{
"shipment_nos": ["SP240123007"],
"is_auto_batch": 0
}
返回结果
Json Object
codenumber必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataarray<any>必填totalnumber必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "21EE37F0-5C84-0A70-9A7D-C9695538A59A",
"response_time": "2024-10-03 14:51:38",
"data": [],
"total": 0
}
返回失败示例
{
"code": 1000,
"message": "业务处理失败",
"error_details": [
"发货单SP2308150021不存在或已删除"
],
"request_id": "5126F5E4-D31D-7BE2-E570-C0828731B37A",
"response_time": "2024-10-03 14:59:05",
"data": [],
"total": 0
}